Skip to content

Pipeline Configured Models Endpoints

Pipeline Configured Models API endpoints.


Overview

Method Endpoint Description
GET /api/v1/pipeline-configured-models List Pipeline Configured Models
POST /api/v1/pipeline-configured-models Create Pipeline Configured Model
GET /api/v1/pipeline-configured-models/{pipeline_name} Get Pipeline Configured Model
PUT /api/v1/pipeline-configured-models/{pipeline_name} Update Pipeline Configured Model
DELETE /api/v1/pipeline-configured-models/{pipeline_name} Delete Pipeline Configured Model

API Reference

Sartiq Backend Server - Pipeline Configured Models 0.1.0

pipeline-configured-models


GET /api/v1/pipeline-configured-models

List Pipeline Configured Models

Description

List all pipeline model configurations.

Requires admin privileges.

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
limit query integer 100 No
skip query integer 0 No

Responses

{
    "data": [
        {
            "pipeline_name": "auto_post_prod_revision_product_enhance",
            "generative_model_id": "9d9a7580-b2f6-4380-a976-7da10a829346"
        }
    ],
    "count": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "items": {
                "$ref": "#/components/schemas/PipelineConfiguredGenerativeModelPublic"
            },
            "type": "array",
            "title": "Data"
        },
        "count": {
            "type": "integer",
            "title": "Count"
        }
    },
    "type": "object",
    "required": [
        "data",
        "count"
    ],
    "title": "PipelineConfiguredGenerativeModelListPublic",
    "description": "Schema for list of pipeline model configurations."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/pipeline-configured-models

Create Pipeline Configured Model

Description

Create a new pipeline model configuration.

Requires admin privileges.

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No

Request body

{
    "pipeline_name": "auto_post_prod_revision_product_enhance",
    "generative_model_id": "f8b9c445-7752-4b04-b095-6e6b7a354fe7"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "pipeline_name": {
            "$ref": "#/components/schemas/PipelineName"
        },
        "generative_model_id": {
            "type": "string",
            "format": "uuid",
            "title": "Generative Model Id"
        }
    },
    "type": "object",
    "required": [
        "pipeline_name",
        "generative_model_id"
    ],
    "title": "PipelineConfiguredGenerativeModelCreate",
    "description": "Schema for creating a new pipeline model configuration."
}

Responses

{
    "pipeline_name": "auto_post_prod_revision_product_enhance",
    "generative_model_id": "29e75a4e-6e56-42f5-b1cd-52227d5bffb5"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "pipeline_name": {
            "$ref": "#/components/schemas/PipelineName"
        },
        "generative_model_id": {
            "type": "string",
            "format": "uuid",
            "title": "Generative Model Id"
        }
    },
    "type": "object",
    "required": [
        "pipeline_name",
        "generative_model_id"
    ],
    "title": "PipelineConfiguredGenerativeModelPublic",
    "description": "Schema for public pipeline model configuration data."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/pipeline-configured-models/{pipeline_name}

Get Pipeline Configured Model

Description

Get a specific pipeline model configuration.

Requires admin privileges.

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
pipeline_name path No

Responses

{
    "pipeline_name": "auto_post_prod_revision_product_enhance",
    "generative_model_id": "90724d5a-b42c-452b-8815-fa4967fab3b9"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "pipeline_name": {
            "$ref": "#/components/schemas/PipelineName"
        },
        "generative_model_id": {
            "type": "string",
            "format": "uuid",
            "title": "Generative Model Id"
        }
    },
    "type": "object",
    "required": [
        "pipeline_name",
        "generative_model_id"
    ],
    "title": "PipelineConfiguredGenerativeModelPublic",
    "description": "Schema for public pipeline model configuration data."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PUT /api/v1/pipeline-configured-models/{pipeline_name}

Update Pipeline Configured Model

Description

Update a pipeline model configuration.

Requires admin privileges.

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
pipeline_name path No

Request body

{
    "generative_model_id": "82d25702-375c-4d4f-a07d-17456c16834e"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "generative_model_id": {
            "type": "string",
            "format": "uuid",
            "title": "Generative Model Id"
        }
    },
    "type": "object",
    "required": [
        "generative_model_id"
    ],
    "title": "PipelineConfiguredGenerativeModelUpdate",
    "description": "Schema for updating a pipeline model configuration."
}

Responses

{
    "pipeline_name": "auto_post_prod_revision_product_enhance",
    "generative_model_id": "d17077b1-cc67-423a-91b4-e4e34b59c70d"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "pipeline_name": {
            "$ref": "#/components/schemas/PipelineName"
        },
        "generative_model_id": {
            "type": "string",
            "format": "uuid",
            "title": "Generative Model Id"
        }
    },
    "type": "object",
    "required": [
        "pipeline_name",
        "generative_model_id"
    ],
    "title": "PipelineConfiguredGenerativeModelPublic",
    "description": "Schema for public pipeline model configuration data."
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/pipeline-configured-models/{pipeline_name}

Delete Pipeline Configured Model

Description

Delete a pipeline model configuration.

Requires admin privileges.

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
pipeline_name path No

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

HTTPValidationError

Name Type Description
detail Array<ValidationError>

PipelineConfiguredGenerativeModelCreate

Name Type Description
generative_model_id string(uuid)
pipeline_name PipelineName

PipelineConfiguredGenerativeModelListPublic

Name Type Description
count integer
data Array<PipelineConfiguredGenerativeModelPublic>

PipelineConfiguredGenerativeModelPublic

Name Type Description
generative_model_id string(uuid)
pipeline_name PipelineName

PipelineConfiguredGenerativeModelUpdate

Name Type Description
generative_model_id string(uuid)

PipelineName

Type: string

ValidationError

Name Type Description
ctx
input
loc Array<>
msg string
type string

Security schemes

Name Type Scheme Description
OAuth2PasswordBearer oauth2